# Uses of Interface
org.eclipse.debug.core.IRequest

Packages that use IRequest
Package
Description
org.eclipse.debug.core.commands
Provides a set of interfaces for common debug commands.
org.eclipse.debug.ui.actions
Provides a set of actions related to running and debugging applications.

## Uses of IRequest in org.eclipse.debug.core.commands

Subinterfaces of IRequest in org.eclipse.debug.core.commands
Modifier and Type
Interface
Description
`interface`
`IDebugCommandRequest`
A request to execute a command on specific elements.
`interface`
`IEnabledStateRequest`
A request to update the enabled state of a command.
Methods in org.eclipse.debug.core.commands with parameters of type IRequest
Modifier and Type
Method
Description
`protected abstract void`
AbstractDebugCommand.`doExecute(Object[] targets, IProgressMonitor monitor, IRequest request)`
Executes this command synchronously on the specified targets, reporting progress.

## Uses of IRequest in org.eclipse.debug.ui.actions

Methods in org.eclipse.debug.ui.actions with parameters of type IRequest
Modifier and Type
Method
Description
`protected void`
DebugCommandAction.`postExecute(IRequest request, Object[] targets)`
This method is called after the completion of the execution of this command.
`protected void`
DebugCommandHandler.`postExecute(IRequest request, Object[] targets)`
This method is called after the completion of the execution of this command.